xclade
Admin APIPromotions

Manage Target Rules of a Promotion

Manage the target rules of a promotion to create, update, or delete them.

POST
/admin/promotions/{id}/target-rules/batch
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The promotion's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

create?

The target rules to create.

update?

The target rules to update.

delete?array<delete>

The target rules to delete.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/promotions/string/target-rules/batch" \  -H "Content-Type: application/json" \  -d '{}'
{
  "created": [
    {
      "id": "string",
      "description": "string",
      "attribute": "customer_group_id",
      "operator": "gt",
      "values": [
        "cusgroup_123"
      ]
    }
  ],
  "updated": [
    {
      "id": "string",
      "description": "string",
      "attribute": "customer_group_id",
      "operator": "gt",
      "values": [
        "cusgroup_123"
      ]
    }
  ],
  "deleted": {
    "ids": [
      "string"
    ],
    "object": "promotion-rule",
    "deleted": true
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}